Cyberduck Mountain Duck CLI

#6686 closed defect (fixed)

NTLM authorization failure

Reported by: bourbonbiker Owned by: dkocher
Priority: normal Milestone: 4.3
Component: webdav Version: 4.2.1
Severity: normal Keywords: WebDav, Sharepoint, 401 Unauthorized, NTLM
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by dkocher)

Hi, I have read the forms and tested several times, even using the defaults modification. I access our share point portal from OSX with no domain association (so NTLM shouldn't be) an issue with my user name and password only. I can use the Microsoft Document Connect for OSX (limited functionality) and only use the combination of username and password. I have also tried using the built in WebDav functionality with adding it as a server and that causes a ton of problems but I am still able to login.

Below is my defaults statement from terminal and Log Drawer.

"webdav.ntlm.domain" = HQ;

Log Drawer:

PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: iteam.insight.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (Mac OS X/10.7.4) (i386)
HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/7.0
WWW-Authenticate: NTLM
X-Powered-By: ASP.NET
MicrosoftSharePointTeamServices: 12.0.0.6514
Date: Wed, 16 May 2012 13:07:23 GMT
Content-Length: 0
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: iteam.insight.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (Mac OS X/10.7.4) (i386)
Authorization: NTLM TlRMTVNTUAABAAAANQIIIAQABAAgAAAAAAAAACAAAABIAFEA
HTTP/1.1 401 Unauthorized
Content-Type: text/html; charset=us-ascii
Server: Microsoft-HTTPAPI/2.0
WWW-Authenticate: NTLM TlRMTVNTUAACAAAABAAEADgAAAA1AokiL+eXCynACN4AAAAAAAAAAJQAlAA8AAAABgByFwAAAA9IAFEAAgAEAEgAUQABABQASABRAEUAUABNAFcARQBCADAAMQAEABYAaQBuAHMAaQBnAGgAdAAuAGMAbwBtAAMALABIAFEARQBQAE0AVwBFAEIAMAAxAC4ASQBuAHMAaQBnAGgAdAAuAGMAbwBtAAUAFgBpAG4AcwBpAGcAaAB0AC4AYwBvAG0ABwAIALgOvNVkM80BAAAAAA==
Date: Wed, 16 May 2012 13:07:23 GMT
Content-Length: 341
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: iteam.insight.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (Mac OS X/10.7.4) (i386)
Authorization: NTLM TlRMTVNTUAADAAAAGAAYAEAAAADAAMAAWAAAAAQABAAYAQAADgAOABwBAAAAAAAAKgEAAAAAAAAqAQAANQIIIERx6Y22zytY8yftvhelhSmfj/A9M8PMwGrlOpduFxrrKm3NkMpf9VgBAQAAAAAAAFA2UO9kM80Bn4/wPTPDzMAAAAAAAgAEAEgAUQABABQASABRAEUAUABNAFcARQBCADAAMQAEABYAaQBuAHMAaQBnAGgAdAAuAGMAbwBtAAMALABIAFEARQBQAE0AVwBFAEIAMAAxAC4ASQBuAHMAaQBnAGgAdAAuAGMAbwBtAAUAFgBpAG4AcwBpAGcAaAB0AC4AYwBvAG0ABwAIALgOvNVkM80BAAAAAEgAUQBkAHAAYQB0AHQAbwBuAA==
HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/7.0
WWW-Authenticate: NTLM
X-Powered-By: ASP.NET
MicrosoftSharePointTeamServices: 12.0.0.6514
Date: Wed, 16 May 2012 13:08:05 GMT
Content-Length: 0
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: iteam.insight.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.2.1 (Mac OS X/10.7.4) (i386)

Attachments (1)

sharepoint-2007-authentication-error-17-09-2012.log (2.7 KB) - added by Erenoglu on Sep 16, 2012 at 10:02:08 PM.

Download all attachments as: .zip

Change History (7)

comment:1 Changed on May 16, 2012 at 1:12:03 PM by dkocher

  • Component changed from core to webdav
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Aug 6, 2012 at 2:41:18 PM by Southrivertech

Hi,

Yes, I also see this problem with WebDAV Uploads failing with a 401 status when using simple Username & Password authentication to a WebDAV server.

Our only workaround was to change the File Transfer Preferences in CyberDuck to use the Browser Connection for uploads instead of creating a new connection.

I am using Cyberduck 4.2.1.9350 on Windows.

Thanks Michael

comment:3 Changed on Sep 16, 2012 at 10:13:32 PM by Erenoglu

I also have the same problem in Windows 7 with the latest snapshot available within update of client (9489). I'm attaching the log file.

I also see the following in the cyberduck.log file in my profile directory:

2012-09-17 01:51:50,501 [background-7] ERROR org.apache.http.client.protocol.RequestTargetAuthentication - Authentication error: Credentials cannot be used for NTLM authentication: org.apache.http.auth.UsernamePasswordCredentials

The more I try, the number of these messages increase.

Our Sharepoint server is a member of a domain. My computer is not. But the bug remains if I try it in a domain member PC as well. CarotDAV and Windows itself can connect just fine. I tried using the tips in Wiki: webdav.ntlm.workstation MYWORKSTATION webdav.ntlm.domain MYDOMAIN with my own domain name and workstation names in the user.config but it did not work either.

Due to this bug, I'm unable to use Cyberduck for our Sharepoint 2007 server.

Last edited on Sep 26, 2012 at 4:38:04 PM by dkocher (previous) (diff)

comment:4 Changed on Sep 26, 2012 at 3:37:32 PM by dkocher

  • Summary changed from WEBDAV issues - 401 Unauthorized to NTLM authorization failure

comment:5 Changed on Oct 10, 2012 at 7:00:50 PM by dkocher

  • Milestone set to 4.3

comment:6 Changed on Apr 8, 2013 at 5:56:15 PM by dkocher

  • Milestone changed from 4.4 to 4.3
  • Resolution set to fixed
  • Status changed from new to closed

Please test with the latest snapshot build (Mac) available. Changes in authentication handler in r10820 will possibly fix this. Please reopen if still an issue with the current snapshot build.

Note: See TracTickets for help on using tickets.
swiss made software